summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-09-08 10:27:41 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-09-08 14:03:48 +0200
commit64aa333e5583d97e0c79fbaab9e0d081306746c7 (patch)
treeafc45113905a61843b091a2cea9bc284100a34be /kde-frameworks/kactivities
parentkde-apps/kpat: Add FRAMEWORKS_MINIMAL,QT_MINIMAL defs (diff)
downloadgentoo-64aa333e5583d97e0c79fbaab9e0d081306746c7.tar.gz
gentoo-64aa333e5583d97e0c79fbaab9e0d081306746c7.tar.bz2
gentoo-64aa333e5583d97e0c79fbaab9e0d081306746c7.zip
kde-frameworks: Add KDE Frameworks 5.50.0
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'kde-frameworks/kactivities')
-rw-r--r--kde-frameworks/kactivities/Manifest1
-rw-r--r--kde-frameworks/kactivities/kactivities-5.50.0.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/kde-frameworks/kactivities/Manifest b/kde-frameworks/kactivities/Manifest
index 3a0fdd23f3c..5c6bac74909 100644
--- a/kde-frameworks/kactivities/Manifest
+++ b/kde-frameworks/kactivities/Manifest
@@ -1,2 +1,3 @@
DIST kactivities-5.46.0.tar.xz 61304 BLAKE2B 771c8ce949c69741b8a53d6e1b8ae2e91993f413055d1b91c64fbe22783931964e20133a89d6cbe44578c823d9b1b2e31c14da396a53b228a55395820e4316a7 SHA512 9a51cc011764a959a82f45b150d05e0171444dcbdcfa1320fe67bfa97a1cdda4faddbdab3e97496485a7025a44536614b359876fd93c976c6289820f7ada285c
DIST kactivities-5.49.0.tar.xz 61352 BLAKE2B e96df77cf8e9ec93361fdffc83d070f0642411bd216bd07e084106606dd6d4310edbba0c29c033722cd99cab732ed7fedefe010951f1b4ca3faca6398b552111 SHA512 48b0b2d4d48344b03d0e8a4bac1173c16f23545b52f2797a185abfee07a5d14b77252ba5ceaea8cf3290eb4dbb52ed66788743c5afb9049719ec20ed16f7065c
+DIST kactivities-5.50.0.tar.xz 61376 BLAKE2B 2bd330de52e78490ad68b95ae4df97bb501dd59c75a385f3ce87d056dc24b5cb13e43f972a536824a69f4fd4cf78612f47996de184d1e06bd15e8201eab94086 SHA512 dde9466f632768664114b791aaea1315dc7535545b66cd874109b83896d29fcb692f9598adefd601687540de5f960d5e238cce4110d484b71b1cc9021fa984c4
diff --git a/kde-frameworks/kactivities/kactivities-5.50.0.ebuild b/kde-frameworks/kactivities/kactivities-5.50.0.ebuild
new file mode 100644
index 00000000000..9bc7ca2a180
--- /dev/null
+++ b/kde-frameworks/kactivities/kactivities-5.50.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Framework for working with KDE activities"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative widgets)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kactivitymanagerd)
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.54
+"